<div class="container">
    <div *ngIf="isLoading" style="text-align: center;">
        <app-loading-spinner></app-loading-spinner>
    </div>

    <div *ngIf="errorMessage" style="margin-bottom: 20px;">
        <mat-card>{{ errorMessage }}</mat-card>
    </div>

    <form [formGroup]="loginForm" (ngSubmit)="onSubmit()" novalidate ngxsForm="auth.authForm.newAuthForm" >
        <mat-form-field appearance="outline" class="form-field">
            <mat-label>Email</mat-label>
            <input matInput formControlName="email">
            
            <mat-error *ngIf="(errors$ | async)?.email || (loginForm.get('email').invalid && loginForm.get('email').touched)">
                <span *ngIf="(errors$ | async)?.email"> {{ (errors$ | async)?.email }} </span>
                <span *ngIf="loginForm.get('email').errors?.required">Feild is required</span>
                <span *ngIf="loginForm.get('email').errors?.email">Enter a valid email</span>
            </mat-error>
        </mat-form-field>
        <br>
        <mat-form-field appearance="outline" class="form-field">
            <mat-label>Password</mat-label>
            <input type="password" matInput formControlName="password">
            <mat-error *ngIf="!loginForm.get('password').valid && loginForm.get('password').touched">
                <span *ngIf="loginForm.get('password').errors?.required">Feild is required</span>
                <span *ngIf="loginForm.get('password').errors?.minlength">Must be 6 characters or longer</span>
            </mat-error>
        </mat-form-field>
        <br>
        <button mat-raised-button color="primary" >
            {{ loginMode? 'Login' : 'SignUp'}}</button>  |
        <button type="button" mat-raised-button color="primary" (click)="switch()">
            Switch to {{loginMode? 'SignUp' : 'Login'}}</button>
    </form>
</div>

{{ (form$ | async | json) }}

<br>
{{ (errors$ | async)?.email }}